LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 03-17-2020, 12:03 PM   #1
mlpa
Member
 
Registered: May 2008
Location: Aveiro
Distribution: Slackware
Posts: 537

Rep: Reputation: 46
Slackware64-current broken PPTP VPN


Dear all,

I am using Slackware64-current, and after yesterday update (16/03) the VPN PPTP stopped working.
Initially, I tried to delete the connection, compile again the pptp and NetworkManager-pptp plugin and create a new one.
However, when I open the NetworkManager form to fill the information this is the window that I get
Click image for larger version

Name:	00.png
Views:	103
Size:	26.8 KB
ID:	32801

Click image for larger version

Name:	01.png
Views:	102
Size:	29.2 KB
ID:	32802

Click image for larger version

Name:	02.png
Views:	107
Size:	40.9 KB
ID:	32803

Does anyone have any tips?
 
Old 03-18-2020, 05:11 AM   #2
denydias
Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 180

Rep: Reputation: Disabled
I faced this issue too. What I did was to compile and install pptp and NetworkManager-pptp (in this order) from SBo-git. Then it worked just like it did before the update.
 
Old 03-18-2020, 11:52 AM   #3
mlpa
Member
 
Registered: May 2008
Location: Aveiro
Distribution: Slackware
Posts: 537

Original Poster
Rep: Reputation: 46
Quote:
Originally Posted by denydias View Post
I faced this issue too. What I did was to compile and install pptp and NetworkManager-pptp (in this order) from SBo-git. Then it worked just like it did before the update.
I have tried your suggestion.
Unfortanelly the form stills misses some fields.
 
Old 03-18-2020, 01:55 PM   #4
denydias
Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 180

Rep: Reputation: Disabled
When I open network connection settings and try to add a new pptp connection, I can see the pptp tab including the fields to configure vpn gateway, user/password and domain.

If you are trying to edit an existing connection, delete it first then create a new one.
 
Old 03-19-2020, 05:55 AM   #5
mlpa
Member
 
Registered: May 2008
Location: Aveiro
Distribution: Slackware
Posts: 537

Original Poster
Rep: Reputation: 46
Quote:
Originally Posted by denydias View Post
When I open network connection settings and try to add a new pptp connection, I can see the pptp tab including the fields to configure vpn gateway, user/password and domain.

If you are trying to edit an existing connection, delete it first then create a new one.
This a new connection.
I have tried to compile and use NetworkManager-pptp 1.2.9-dev, but with the same result.

Last edited by mlpa; 03-19-2020 at 06:20 AM. Reason: Update the work that I did to resolve the issue
 
Old 03-19-2020, 12:35 PM   #6
nhattu1986
LQ Newbie
 
Registered: Dec 2005
Distribution: slackware
Posts: 4

Rep: Reputation: 1
The missing dialog caused by the missing of the editor interface library

Code:
** (nm-connection-editor:16167): WARNING **: 23:00:49.123: Could not load editor VPN plugin for “org.freedesktop.NetworkManager.pptp” (missing plugin file "/usr/lib64/NetworkManager/libnm-vpn-plugin-pptp-editor.so").
But the problem is: the NetworkManager-pptp version 1.2.8 (latest release version) required the libnm-gtk, but it only available in the network-manager-applet-1.8.4, the library had already been removed in latest version of network-manager-applet.

so you have two way to resolve this: either by revert the network-manager-applet back to 1.8.4 and rebuid NetworkManager-pptp or you can tried to download the latest git master of NetworkManager-pptp from gitlab and rebuild it.

Last edited by nhattu1986; 03-19-2020 at 12:36 PM.
 
1 members found this post helpful.
Old 03-19-2020, 03:34 PM   #7
denydias
Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 180

Rep: Reputation: Disabled
Quote:
Originally Posted by nhattu1986 View Post
But the problem is: the NetworkManager-pptp version 1.2.8 (latest release version) required the libnm-gtk, but it only available in the network-manager-applet-1.8.4, the library had already been removed in latest version of network-manager-applet.
Here I have network-manager-applet-1.16.0-x86_64-1 and it works just fine.
 
1 members found this post helpful.
Old 03-20-2020, 05:18 AM   #8
nhattu1986
LQ Newbie
 
Registered: Dec 2005
Distribution: slackware
Posts: 4

Rep: Reputation: 1
Wink

Quote:
Originally Posted by denydias View Post
Here I have network-manager-applet-1.16.0-x86_64-1 and it works just fine.
In your case, i think for some reason, the install/upgrade script did not removed the required .so file.

Otherwise i don't known why the NetworkManager-pptp version 1.2.8 did not build the libnm-vpn-plugin-pptp-editor.so with the current build script on my machine.
But after recompile with the git master code, the required file is compile again so i'm happy with the result
 
Old 03-21-2020, 12:33 PM   #9
Nille_kungen
Member
 
Registered: Jul 2005
Distribution: Slackware64-current
Posts: 548

Rep: Reputation: 187Reputation: 187
There was some mayor changes in NetworkManager 1.2.0 if plugin doesn't work and the plugins hasn't been upgraded than downgrading NetworkManager might be an option.
The change that might have changed things for you might be from March 7 2020.
Quote:
xap/libnma-1.8.28-x86_64-1.txz: Added.
This is the NetworkManager GUI client library, which was previously
provided by network-manager-applet. It's now a standalone project, and
is required by network-manager-applet and other NetworkManager frontends.
xap/network-manager-applet-1.16.0-x86_64-1.txz: Upgraded.
This requires the new libnma package.
Things that you plugin might have relied on may not exist in newer versions.
Have added the new libnma? and then recompiled.

Last edited by Nille_kungen; 03-21-2020 at 12:38 PM.
 
1 members found this post helpful.
Old 03-23-2020, 11:38 AM   #10
mlpa
Member
 
Registered: May 2008
Location: Aveiro
Distribution: Slackware
Posts: 537

Original Poster
Rep: Reputation: 46
Quote:
Originally Posted by Nille_kungen View Post
There was some mayor changes in NetworkManager 1.2.0 if plugin doesn't work and the plugins hasn't been upgraded than downgrading NetworkManager might be an option.
The change that might have changed things for you might be from March 7 2020.

Things that you plugin might have relied on may not exist in newer versions.
Have added the new libnma? and then recompiled.
I can confirm that I have libnma installed, even so, the re-compiled plugins do not work.
 
  


Reply

Tags
network manager, pptp, vpn


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] PPTP VPN Server Issue w/VPN access AmberM Linux - Newbie 2 02-17-2014 10:34 AM
PPTP VPN not working while at work. What other types of VPN should I try? Salzgablah Linux - Server 0 12-24-2013 11:48 PM
PPTP Packets from the VPN Client Cannot Reach the VPN server SubZeroJake Linux - Networking 1 05-14-2012 06:52 PM
pptp vpn connetion from behind non vpn router paind Linux - Networking 0 07-18-2008 02:44 PM
LXer: Linux Configure point to point tunneling PPTP VPN client for Microsoft PPTP vpn server LXer Syndicated Linux News 0 06-13-2007 08:46 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 02:06 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration